MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MixerListener Class Referenceabstract

An interface that listens on events from mixer plugins. More...

`#include <Listener.hxx>`

Inheritance diagram for MixerListener:
[legend]

## Public Member Functions
virtual void | OnMixerVolumeChanged (Mixer &mixer, int volume)=0

## Detailed Description

An interface that listens on events from mixer plugins.

The methods must be thread-safe and non-blocking.

Definition at line 29 of file Listener.hxx.

## Member Function Documentation

virtual void MixerListener::OnMixerVolumeChanged | ( | Mixer & | mixer,
|  | int | volume
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- mixer/Listener.hxx